mixin popup-callback()
    .flip.popup-callback
        .flip__box
            .flip__front
                form.popup-callback__form(method="post" action="php/callback.php")
                    .box_popup
                        h2.popup-callback__title.fs_center Обратный звонок
                        .popup-callback__user.mt_l
                            .input.input_l.input_default.input_center
                                input(type="text" name="name" id="name" required)
                                .placeholder.placeholder_center
                                    .placeholder__title ваше имя
                        .popup-callback__phone.mt_m
                            .input.input_l.input_default.input_center
                                input(type="text" name="phone" id="phone" required)
                                .placeholder.placeholder_center
                                    .placeholder__title телефон
                        .popup-callback__comment.mt_m
                            .textarea.textarea_l.textarea_default
                                textarea(name="msg" id="msg")
                                .placeholder.placeholder_center
                                    .placeholder__title комментарий
                        button.popup-callback__submit.mt_l.btn.btn_xl.btn_primary.btn_block(type="submit")
                            .btn__grid
                                .btn__title Отправить
            .flip__back.grid.grid_center
                .box_popup
                    .popup-callback__success
                        .box__icon.icon.icon_circle.icon_success.icon_invert
                            svg
                                use(xlink:href="#svg-check")
                        h3.box__title Заявка принята
                        .box__text
                            p В ближайшее время наш менеджер свяжется с вами
                        .box__btn.btn.btn_default.btn_s.btn_inline(onclick="return popupClose();")
                            .btn__title.fs_uc Закрыть

                    .popup-callback__fail
                        .box__icon.icon.icon_circle.icon_fail.icon_invert
                            svg
                                use(xlink:href="#icon_close_24")
                        h3.box__title Технические трудности
                        .box__text
                            p Не удается отправить заявку. Повторите попытку позже.
                        .box__btn.btn.btn_default.btn_s.btn_inline(onclick="return popupClose();")
                            .btn__title.fs_uc Закрыть
    script.
        formCallback();
